package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.channel.ChannelAdmin;
import com.iamberry.wechat.core.entity.order.Order;

import java.util.List;

/**
 *  渠道管理员接口
 * @author xm
 * @Date 2018-08-02
 */
public interface ChannelAdminMapper {
    /**
     * 获取集合
     * @param  channelAdmin
     * @return List
     */
    List<ChannelAdmin> getChannelAdminList(ChannelAdmin  channelAdmin);

    List<Order> listOrderPage(Order  order);

    /**
     * 查询单条数据
     * @param  id
     * @return  channelAdmin
     */
    ChannelAdmin  getChannelAdminById(Integer  id);

    /**
     * 查询提货列表数量
     * @param  order
     * @return  channelAdmin
     */
    Integer  listOrderCount(Order order);

    /**
     * 增加数据
     * @param  channelAdmin
     * @return Integer
     */
    Integer  save(ChannelAdmin  channelAdmin);
    /**
     * 修改数据
     * @param  channelAdmin
     * @return Integer
     */
    Integer  update(ChannelAdmin  channelAdmin);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
    /**
     * 增加数据 <集合>
     * @param  channelAdminList
     * @return Integer
     */
    Integer  saveList(List<ChannelAdmin>  channelAdminList);
    /**
     * 删除数据 <集合>
     * @param  ids
     * @return Integer
     */
    Integer  deleteList(Integer[]  ids);
}